/* #region @prefers-reduced-motion */
@media (prefers-reduced-motion: reduce) {
	*, *::before, *::after {
		animation-delay: 0s !important;
		animation-duration: 0s !important;
		scroll-behavior: auto !important;
		transition-delay: 0s !important;
		transition-duration: 0s !important;
	}

	/* For hero background video */
	video[autoplay] {
		display: none !important;
	}

	.hero {
		background: linear-gradient(to bottom, var(--grey900-80), transparent), url("https://ripcord.sirv.com/Havern/poster-flags.jpg") center/cover no-repeat !important;
	}
}

/* #endregion */
/* #region Elements */
* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

a {
	color: var(--red500);
	text-underline-offset: var(--px04);
	transition: var(--transition);

	&:hover {
		color: var(--red400);
	}
}

body {
	background-color: white;
	color: var(--grey700);
	font-family: var(--font-sans);
}

button {
	background: none;
	border: none;
	cursor: pointer;
}

h1, h2, h3 {
	line-height: 1.2;
	text-wrap: pretty;
}

hr {
	border: 0;
	border-top: var(--px01) solid var(--grey200);
	clear: both;
	margin-block: var(--px48);
}

html {
	scroll-behavior: smooth;
	scrollbar-gutter: stable;

	&:has(.nav-contain.open) {
		overflow: hidden;
	}
}

img {
	display: block;
	max-width: 100%;
}

li {
	font-size: var(--fz18);
	margin-left: 1em;
	padding: .5em 0 .4em .5em;
	text-wrap: pretty;
}

p {
	line-height: 1.7;
	margin-bottom: .8lh;
	text-wrap: pretty;
}

/* #endregion */
/* #region Global */
.btn {
	background-color: var(--red700);
	border-radius: var(--radius);
	border: var(--px02) solid transparent;
	color: var(--red050);
	display: inline-block;
	font-size: var(--fz14);
	font-weight: 700;
	letter-spacing: var(--px02);
	padding: var(--px16) var(--px32);
	text-decoration: none;
	text-transform: uppercase;
	transition: var(--transition);

	&:hover {
		border-color: white;
		color: white;
	}
}

.cta {
	background: linear-gradient(var(--red600), var(--red800));
	color: white;
	padding-block: var(--block-padding);
	text-align: center;

	h2 {
		font-size: var(--fz32);
		margin-bottom: var(--px16);
	}

	i {
		font-size: var(--fz28);
		margin-bottom: var(--px08);
	}

	p {
		margin-inline: auto;
		max-width: 45ch;
	}

	.btn {
		background-color: var(--red500);
	}
}

.content {
	margin-inline: auto;
	width: min(85%, 1200px);
}

/* #endregion */
/* #region Nav */
.nav-contain {
	justify-self: end;
}

.nav-grid {
	display: grid;
	grid-auto-flow: column;
	gap: var(--px24) var(--px02);

	@media (width < 1200px) {
		align-content: start;
		background-color: var(--grey700-70);
		backdrop-filter: blur(var(--px08));
		grid-auto-flow: row;
		height: 100vh;
		justify-content: center;
		opacity: 0;
		padding: var(--px128) var(--px16) 0;
		position: absolute;
		right: 0;
		top: 0;
		transition: var(--transition);
		visibility: hidden;
		width: 100vw;
	}

	@media (width < 500px) {
		--mobile-menu-width: 100vw;
	}

	a {
		background-color: transparent;
		border-radius: var(--radius);
		color: white;
		font-size: var(--fz18);
		font-weight: 600;
		line-height: 1;
		padding: var(--px16) var(--px20);
		text-decoration: none;
		transition: var(--transition);

		@media (width < 1200px) {
			font-size: var(--fz24);
			translate: 0 var(--px48);
		}

		&:hover {
			background-color: var(--red700);
			color: white;
		}
	}
}

.nav-toggle {
	display: none;

	@media (width < 1200px) {
		color: white;
		cursor: pointer;
		display: block;
		font-size: var(--fz24);
		position: relative;
		text-decoration: none;
		z-index: 10;
	}
}

.open {
	.fa-xmark-large {
		display: block;
		rotate: 270deg;
		transition: .8s;
	}

	.nav-grid {
		opacity: 1;
		visibility: visible;

		a {
			translate: 0;
		}
	}

	.nav-toggle {
		color: white;
		rotate: 180deg;
	}
}

/* #endregion */
/* #region Header */
.header {
	background-color: var(--grey900-80);
	padding-block: var(--px20);
	position: fixed;
	top: 0;
	width: 100%;
	z-index: 10;
}

.header-grid {
	align-items: center;
	display: grid;
	gap: var(--px16);
	grid-template-columns: auto 1fr;

	.logo {
		img {
			transition: var(--transition);
			width: 300px;

			@media (width < 900px) {
				width: 150px;
			}
		}

		&.scrolled img {
			width: 180px;
		}
	}
}

/* #endregion */
/* #region Footer */
.footer {
	background-color: var(--grey800);
	color: white;
	font-size: var(--fz16);
	padding-block: var(--px64) var(--px96);
}

.footer-grid {
	display: grid;
	gap: 3vh 3vw;
	grid-template-columns: repeat(3, auto);

	@media (width < 900px) {
		grid-template-columns: auto;
		justify-content: center;
		text-align: center;
	}

	a {
		color: var(--grey400);
		text-decoration: none;
		width: max-content;

		@media (width < 900px) {
			margin-inline: auto;
		}

		&:has(i) {
			&:hover {
				color: white
			}
		}

		&:hover {
			color: var(--red400);
		}
	}

	i {
		font-size: var(--fz28);
	}
}

/* #endregion */
/* #region Hero */
.hero {
	background: linear-gradient(to bottom, var(--black-40), var(--black-40));
	color: white;
	min-height: 100vh;
	padding-block: 30vh;
	text-align: center;

	h1 {
		font-size: var(--fz60);
		font-weight: 600;
		letter-spacing: -1px;
		line-height: 1.2;
		margin: 0 auto var(--px48);
		max-width: 20ch;
	}

	p {
		font-size: var(--fz20);
		line-height: 1.4;
		margin: 0 auto var(--px48);
		max-width: 60ch;
	}

	.video {
		height: auto;
		left: 50%;
		min-height: 100%;
		min-width: 100%;
		position: fixed;
		top: 0;
		translate: -50%;
		width: auto;
		z-index: -10;
	}
}

/* #endregion */
/* #region Home-Explainer-Video */
.home-explainer-video {
	background: linear-gradient(white, var(--grey200));
	padding-block: var(--block-padding);
}

.home-explainer-video-grid {
	display: grid;
	column-gap: var(--px48);
	grid-template-columns: auto 50%;

	@media (width < 1000px) {
		grid-template-columns: auto;
	}

	h2 {
		font-size: var(--fz36);
		margin-bottom: var(--px32);
	}

	video {
		border: var(--px02) solid var(--grey400);
		border-radius: var(--radius);
		margin-top: var(--px48);
		width: 100%;

		@media (width < 1000px) {
			margin-top: 0;
		}
	}

	p {
		max-width: 60ch;
	}
}

/* #endregion */
/* #region Home-Intro */
.home-intro {
	background-color: white;
	padding-block: 7rem;
}

.home-intro-grid {
	display: grid;
	gap: var(--px32) 3vw;
	grid-template-columns: 50% auto;

	@media (width < 1000px) {
		grid-template-columns: auto;
	}

	h2 {
		font-size: var(--fz32);
		letter-spacing: -1px;
		margin-bottom: var(--px16);
	}

	img {
		border-radius: var(--radius);
	}

	p {
		max-width: 60ch;
	}
}

/* #endregion */
/* #region Sub */
.sub {
	padding-block: var(--px64) var(--px96);

	a {
		font-weight: 600;
		margin-bottom: var(--px08);
		max-width: fit-content;
	}

	h1 {
		font-size: var(--fz40);
		margin-bottom: var(--px48);
	}

	h2 {
		letter-spacing: -.5px;
		margin-block: var(--px48) var(--px16);

		&:first-of-type {
			margin-top: 0;
		}
	}
}

.subhero {
	background: var(--subhero-bg-img) center/cover no-repeat;
	height: 45vh;
}

.subhero-careers {
	--subhero-bg-img: url("https://ripcord.sirv.com/Havern/AdobeStock_87141981.jpg");
}

.subhero-contact {
	--subhero-bg-img: url("https://ripcord.sirv.com/Havern/AdobeStock_298288894.jpg?cy=300");
}

.subhero-quote {
	--subhero-bg-img: url("https://ripcord.sirv.com/Havern/AdobeStock_81513733.jpg?cy=600");
}

.subhero-team {
	--subhero-bg-img: url("https://ripcord.sirv.com/Havern/shutterstock_441129205.jpg?cy=100");
}

.subhero-what {
	--subhero-bg-img: url("https://ripcord.sirv.com/Havern/iStock-183256642.jpg");
}

/* #endregion */
/* #region Sub-Contact */
.sub-contact-grid {
	display: grid;
	gap: var(--px48) 10vw;
	grid-template-columns: auto 1fr;
	justify-content: start;

	@media (width < 900px) {
		grid-template-columns: 1fr;
	}
}

.sub-contact-map {
	margin-top: var(--px48);
}

/* #endregion */
/* #region Sub-Team */
.sub-team-grid {
	display: grid;
	gap: var(--px96) var(--px48);
	grid-template-columns: 200px 1fr;
	justify-content: start;
	margin-top: var(--px64);

	@media (width < 900px) {
		row-gap: var(--px16);
	}

	h2 {
		font-size: var(--fz28);
		margin-bottom: var(--px06);
	}

	h3 {
		font-size: var(--fz18);
		margin-bottom: var(--px16);
	}

	img {
		background-color: var(--grey300);
		border-radius: var(--radius);
		width: 200px;

		@media (width < 900px) {
			margin-top: var(--px64);
		}
	}

	.education-expertise {
		line-height: 1.5;
	}
}

/* #endregion */
/* #region Sub-What */
.img-block {
	aspect-ratio: 3/1;
	border-radius: var(--radius);
	margin-top: var(--px32);
	object-fit: cover;
	width: 100%;
}

.link-block {
	display: block;
	width: fit-content;
}

.sub-what-flex {
	background-color: var(--grey100);
	border-radius: var(--radius);
	display: flex;
	flex-wrap: wrap;
	gap: var(--px32);
	margin-block: var(--px32);
	padding: var(--px48);

	> div {
		flex: 0 1 300px;
	}

	i {
		font-size: var(--fz28);
		margin-bottom: var(--px08);
	}

	p {
		font-size: var(--fz16);
	}
}

/* #endregion */